%define upstream_name    MooseX-Role-WithOverloading
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Roles which support overloading
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose) >= 0.940.0
BuildRequires: perl(Moose::Role) >= 1.150.0
BuildRequires: perl(Test::CheckDeps) >= 0.2.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::NoWarnings) >= 1.40.0
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(aliased)
BuildRequires: perl(namespace::autoclean) >= 0.120.0
BuildRequires: perl(namespace::clean)
BuildRequires: perl-devel
Requires:   perl(aliased)
Requires:   perl(namespace::autoclean)

%{?perl_default_filter}
Requires:   perl(namespace::clean)
%description
MooseX::Role::WithOverloading allows you to write a the Moose::Role manpage
which defines overloaded operators and allows those operator overloadings
to be composed into the classes/roles/instances it's compiled to, while
plain the Moose::Role manpages would lose the overloading.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%{make}

%{make} test

%install
%make_install

%files
%doc Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.170.0-4pclos2017
- rebuild against updates

